#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 semialign
version:              1.2.0.1
visibility:           public
id:                   semialign-1.2.0.1-4aWofOmEdjH5CjutrV09Cu
key:                  semialign-1.2.0.1-4aWofOmEdjH5CjutrV09Cu
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               C. McCann, Oleg Grenrus
homepage:             https://github.com/haskellari/these
synopsis:
    Align and Zip type-classes from the common Semialign ancestor.

description:
    The major use of @These@ of this is provided by the @align@ member of
    @Semialign@ class, representing a generalized notion of "zipping with padding"
    that combines structures without truncating to the size of the smaller input.

    It turns out that @zip@ operation fits well the @Semialign@ class,
    forming lattice-like structure.

category:             Data, These
abi:                  95767d613e8d27ccbb999c221d1461a4
exposed:              True
exposed-modules:
    Data.Align Data.Crosswalk Data.Semialign Data.Semialign.Indexed
    Data.Zip

hidden-modules:       Data.Semialign.Internal
import-dirs:          /usr/lib/ghc-9.0.1/site-local/semialign-1.2.0.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/semialign-1.2.0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/semialign-1.2.0.1
hs-libraries:         HSsemialign-1.2.0.1-4aWofOmEdjH5CjutrV09Cu
depends:
    base-4.15.0.0 containers-0.6.4.1
    hashable-1.3.4.1-5NDVV6nsO4l1z422uKeFYD
    indexed-traversable-0.1.2-LXVxvX2Ns0jBYLb1hVs3y6
    indexed-traversable-instances-0.1-FQFxt0ZFW2kHunwKMAurZF
    semigroupoids-5.3.6-B82foyl7Ab35CEDlkpStpA
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25
    these-1.1.1.1-FZYldBATcnV1bBsCHBhB79 transformers-0.5.6.2
    unordered-containers-0.2.14.0-EvtGmSgibELG8puyj0bZfl
    vector-0.12.3.1-BYdg1PRFj4WB38iHU29MVy

haddock-interfaces:   /usr/share/doc/haskell-semialign/html/semialign.haddock
haddock-html:         /usr/share/doc/haskell-semialign/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

